Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Interface KeyFormat

All Superinterfaces:
  `Comparable<KeyFormat>`

All Known Implementing Classes:
  `AbstractKeyFormat`, `AbstractSizRdhFormat`, `HBCI4JavaFormat`, `RAH10Format`, `RDH2Format`, `SizRdhDirectFormat`, `SizRdhFormat`

public interface KeyFormat extends Comparable<KeyFormat>
Interface fuer die unterstuetzten Schluessel-Formate. Implementierungen muessen der Bean-Spezifikation entsprechen, also einen parameterlosen Konstruktor mit dem Modifier public besitzen.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FEATURE_CREATE`
Konstante fuer das Feature "Schluessel erstellen".
`static final int`
`FEATURE_IMPORT`
Konstante fuer das Feature "Schluessel importieren".

## Method Summary

Modifier and Type
Method
Description
`RDHKey`
`createKey(File file)`
Erzeugt einen neuen Schluessel.
`String`
`getName()`
Liefert einen sprechenden Namen des Formats.
`int`
`getOrder()`
Liefert einen numerischen Wert fuer die Sortierung.
`boolean`
`hasFeature(int feature)`
Prueft, ob das Format das angegebene Feature unterstuetzt.
`RDHKey`
`importKey(File file)`
Importiert einen Schluessel.
`org.kapott.hbci.passport.HBCIPassport`
`load(RDHKey key)`
Laedt einen Schluessel.

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Field Details

### FEATURE_IMPORT

static final int FEATURE_IMPORT
Konstante fuer das Feature "Schluessel importieren".

See Also:
  - Constant Field Values

### FEATURE_CREATE

static final int FEATURE_CREATE
Konstante fuer das Feature "Schluessel erstellen".

See Also:
  - Constant Field Values

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen des Formats.

Returns:
  Sprechender Name.

### importKey

RDHKey importKey(File file) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Importiert einen Schluessel. Die Funktion soll nur ein RDHKey-Objekt erzeugen. Die Registrierung des Schluessels in Hibiscus uebernimmt der Aufrufer.

Parameters:
  `file` - die Schluesseldatei.
Returns:
  der importierte Schluessel.
Throws:
  `de.willuhn.util.ApplicationException` - Fehler.
  `de.willuhn.jameica.system.OperationCanceledException` - wenn der Import abgebrochen werden soll.

### createKey

RDHKey createKey(File file) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Erzeugt einen neuen Schluessel.

Parameters:
  `file` - Ziel-Datei, in der der Schluessel erzeugt werden soll.
Returns:
  der neue Schluessel.
Throws:
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`

### hasFeature

boolean hasFeature(int feature)
Prueft, ob das Format das angegebene Feature unterstuetzt.

Parameters:
  `feature` - das geforderte Feature.
Returns:
  true, wenn es unterstuetzt wird.

### load

org.kapott.hbci.passport.HBCIPassport load(RDHKey key) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Laedt einen Schluessel.

Parameters:
  `key` - der Schluessel.
Returns:
  HBCIPassport-Instanz des Schluessels.
Throws:
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`

### getOrder

int getOrder()
Liefert einen numerischen Wert fuer die Sortierung.

Returns:
  numerischer Wert fuer die Sortierung. Je hoeher der Wert ist, desto weiter hinten ist er einsortiert.